Kerbal Space Program - Bug #15583

Sun jerks around when time warping in orbit above it
07/01/2017 05:36 AM - RYUAZUKU99

Status: Closed Start date: 07/01/2017
Severity: Low % Done: 100%
Assignee:

Category: Physics

Target version:

Version: 1.3.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Pretty much what the title says. The sun moves in a jerking motion whenever | timewarp above it. | also tried to land on minmus and
when | timewarped while falling to the surface | jerked around the planet while also moving down.

History

#1 - 07/01/2017 05:37 AM - RYUAZUKU99

| was not able to recreate this when | booted up the game the next day.

#2 - 07/01/2017 05:52 AM - RYUAZUKU99

This was on a clean install with no mods at all. | verified the integrity of the files many times with steam finding no issues at all.

#3 - 07/01/2017 06:01 AM - RYUAZUKU99

When on the ksc screen(to select a building) the sun jerks around instead of smoothly transitioning around like it usually does.

#4 - 07/01/2017 06:09 AM - RYUAZUKU99

Here is a video of what | mean https://www.youtube.com/watch?v=icTd8nG9cpM&feature=youtu.be

and from orbit around the sun itself https://youtu.be/f3keimKkGv0

#5 - 07/01/2017 08:17 PM - RYUAZUKU99

| was also playing the 64 bit version of ksp since | usually am running it with mods.

#6 - 07/10/2017 09:47 PM - pydude

| can confirm this. Also on windows.

#7 - 07/17/2017 08:51 PM - jonny

http://forum.kerbalspaceprogram.com/index.php?/developerarticles.html/enter-the-shadows-r205/

"The downside of reducing the precision is that the rotation of the sun is less smooth, so we end up with a sun that tends to move in small steps
rather than one fluid motion across the sky.
But the plus side is we reduce the difference between clock ticks and we don't get light shadows flickering all over the place."

some weeks ago Squad told us in a "KSP Weekly" that they solved the problem for the upcoming 1.3.1 release

#8 - 01/16/2018 02:18 PM - Ruedii

- Severity changed from Critical to Low

This is because in time-warp update rate is drastically reduced, often down to 1fps or 2fps.
It is a tradeoff.

Unless this is causing issues in gameplay | am reducing it to low because it is an aesthetic issue.
If you need smooth movement and time updates turn off timewarp.

#9 - 06/24/2019 11:11 AM - Robert.Keech
- Status changed from New to Updated
- % Done changed from 0 to 10

Issue no longer occurs

#10 - 06/24/2019 11:11 AM - Robert.Keech
- Status changed from Updated to Resolved
- % Done changed from 10 to 100

#11 - 06/24/2019 05:40 PM - chris.fulton

- Status changed from Resolved to Closed
